> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/knowledge-base/how-to-articles/identify-the-server-answering-on-a-high-availability-topology.md).

# Identify the server answering on a high-availability topology

Identify which server answers requests in a Devolutions Server high-availability or load-balancing topology by adding a custom HTTP response header.

The following steps will explain how to define which server is answering when connecting on the Devolutions Server web page on a High Availability/Load Balancing topology.

1. Open IIS Manager on the server where the Devolutions Server is hosted.
2. Expand the nodes in the ***Connections*** pane and select the Devolutions Server web application.
3. Open the ***HTTP Response Headers***.
4. Click on ***Add***.. in the ***Actions*** pane to add a new ***HTTP Response Header***.
5. Enter a ***Name*** and a ***Value*** that will identify the server. Then click on ***OK*** to save this information.
6. Repeat steps 1 to 5 on each server of your ***High Availability/Load Balancing*** cluster. It is important to set a different value for each server but keeping the same ***Name***.
7. Open your favorite browser.
8. Open the ***Developer Tools*** in the browser. Usually the ***F12*** key will open the ***Developer Tools*** in Google Chrome, Firefox, or Microsoft Edge.
9. Browse to your Devolutions Server web page.
10. Using Firefox, in the ***Network*** tab, you should find the ***Custom HTTP Response Header*** value of the answering server of the cluster.

### Command Line

```
%systemroot%\system32\inetsrv\APPCMD.EXE set config "Default Web Site" -section:system.webServer/httpProtocol /+"customHeaders.[name='X-Server-Name',value='node1']" /commit:apphost
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/knowledge-base/how-to-articles/identify-the-server-answering-on-a-high-availability-topology.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
